org.apache.ignite.internal.visor.cache

## Class VisorCacheClearTaskResult

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.cache.VisorCacheClearTaskResult

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorCacheClearTaskResult
    extends VisorDataTransferObject

Result for `VisorCacheClearTask`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4`

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheClearTaskResult()` Default constructor.
`VisorCacheClearTaskResult(long sizeBefore, long sizeAfter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getSizeAfter()`
`long` `getSizeBefore()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheClearTaskResult

    public VisorCacheClearTaskResult()

Default constructor.

#### VisorCacheClearTaskResult

    public VisorCacheClearTaskResult(long sizeBefore,
                                     long sizeAfter)

Parameters:
  `sizeBefore` - Cache size before clearing.
  `sizeAfter` - Cache size after clearing.

### Method Detail

#### getSizeBefore

    public long getSizeBefore()

Returns:
  Cache size before clearing.

#### getSizeAfter

    public long getSizeAfter()

Returns:
  Cache size after clearing.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020